Skip to main content
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
workflowSteps
Get workflow steps
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/workflowSteps \
  --header 'Authorization: <api-key>'
{
  "projectWorkflowSteps": [
    {
      "abbreviation": "<string>",
      "id": 123,
      "lqaProfileUid": "<string>",
      "name": "<string>",
      "workflowLevel": 123,
      "workflowStep": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

UID of the project

Query Parameters

withAssignedJobs
boolean
default:false

Return only steps containing jobs assigned to the calling linguist

Response

OK

projectWorkflowSteps
object[]

Project-specific workflow step instances, ordered by workflow level